
Redmine - Defect #8243

Default enabled modules for new projects display wrong

2011-04-28 12:48 - Mark Hagers

Status: Closed Start date: 2011-04-28

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.2

Description

In the Administration->Settings page under the "Projects" tab the display for the "Default enabled modules for new projects" is all

wrong. It displays as raw html instead of the array of check boxes that is expected.

It's therefore impossible to change any of these settings.

See the attached screen dump.

History

#1 - 2011-04-28 12:51 - Mark Hagers

Maybe useful info: I upgraded from 0.9.5.devel.3824 tot stable 1.1.2, following the instructions at:

http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade

No other issues have occurred after the upgrade.

#2 - 2011-04-28 13:48 - Etienne Massip

What's your env (see SubmittingBugs for all required information) ?

#3 - 2011-04-28 13:53 - Mark Hagers

Sorry forgot to include this earlier:

About your application's environment

Ruby version              1.8.6 (universal-darwin9.0)

RubyGems version          1.3.5

Rack version              1.1

Rails version             2.3.8

Active Record version     2.3.8

Active Resource version   2.3.8

Action Mailer version     2.3.8

Active Support version    2.3.8

Application root          /Library/WebServer/redmineshareco

Environment               production

Database adapter          mysql

Database schema version   20101114115359

About your Redmine plugins

Redmine Graphs plugin      0.1.0

Timesheet Plugin           0.6.0

Stuff To Do Plugin         0.4.0

Redmine Schedules plugin   0.4.2

#4 - 2011-04-28 14:01 - Etienne Massip

Rails 2.3.8 is not supported by Redmine 1.1.x, see RedmineInstall.

Try installing Rails 2.3.5.

#5 - 2011-04-28 15:06 - Mark Hagers

- Status changed from New to Resolved

yep that did it.

I was acting under the assumption that AT LEAST version 2.3.5 was required, and gem installed 2.3.8 automatically.

Maybe the text on that RedmineInstall page could state more clearly that a specific version is required.

Also the update instructions seemed somewhat outdated
http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
https://www.redmine.org/projects/redmine/wiki/RedmineInstall#Requirements


#6 - 2011-04-28 15:16 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

#7 - 2011-10-25 12:38 - Evan Dorn
